package com.ruoyi.project.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.project.business.domain.dto.TtTrainSearchDto;
import com.ruoyi.project.business.domain.train.TtTrain;
import com.ruoyi.project.business.domain.vo.train.TrainParticipantReq;
import com.ruoyi.project.business.domain.vo.train.TrainParticipantRes;
import com.ruoyi.project.business.domain.vo.train.TtTrainVo;

import java.util.List;

/**
 * 培训考核Mapper接口
 *
 * @author ruoyi
 * @date 2024-06-18
 */
public interface TtTrainMapper extends BaseMapper<TtTrain> {
    /**
     * 查询培训考核
     *
     * @param id 培训考核主键
     * @return 培训考核
     */
    TtTrain selectTtTrainById(Long id);

    /**
     * 查询培训考核列表
     *
     * @param ttTrainSearchDto 培训考核
     * @return 培训考核集合
     */
    List<TtTrainVo> selectTtTrainList(TtTrainSearchDto ttTrainSearchDto);

    /**
     * 新增培训考核
     *
     * @param ttTrain 培训考核
     * @return 结果
     */
    int insertTtTrain(TtTrain ttTrain);

    /**
     * 修改培训考核
     *
     * @param ttTrain 培训考核
     * @return 结果
     */
    int updateTtTrain(TtTrain ttTrain);

    /**
     * 删除培训考核
     *
     * @param id 培训考核主键
     * @return 结果
     */
    int deleteTtTrainById(Long id);

    /**
     * 批量删除培训考核
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteTtTrainByIds(Long[] ids);

    /**
     * 查询用户参与的培训列表
     */
    List<TrainParticipantRes> selectParticipantTrainListUserId(TrainParticipantReq req);

    int updateBatchById(List<TtTrain> ttTrainList);
}
